<!doctype html>
<html>
<head>
    <title>Arm Release 1.4.2 | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Arm Release 1.4.2 | Tor Project">
    <meta property="og:description" content="Hi, the next release of arm is now available. This one was focused on a full rewrite of the...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/arm-release-142/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Arm Release 1.4.2
      </h1>
    <p class="meta">by atagar | April 4, 2011</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>Hi, the next release of arm is now available. This one was focused on a full rewrite of the connection panel, improving its maintainability, performance, and (best of all) features. When rendered, the panel's baseline cpu usage is less than half of its previous incarnation, along with providing far more information...</p>

<p><a href="http://www.atagar.com/transfer/tmp/armScreenshot-1.4.2.png" rel="nofollow">http://www.atagar.com/transfer/tmp/armScreenshot-1.4.2.png</a></p>

<p>- Full paths for your currently active Tor circuits<br />
- Identification of the applications attached to your socks, hidden service, and control ports<br />
- Identifying exit connections and the common uses for ports they're attached to<br />
- Much better accuracy in identifying client and directory connections<br />
- Expanded path information when there's space available (thanks to Fabian Keil)</p>

<p>... and many, many more enhancements and fixes. For the full list see:<br />
<a href="http://www.atagar.com/arm/releaseNotes.php#1.4.2" rel="nofollow">http://www.atagar.com/arm/releaseNotes.php#1.4.2</a></p>

<p>Also, thanks to pyllyukko arm is now on slackbuilds.org so there's simple install options available for:<br />
Debian, Ubuntu, Gentoo, Arch Linux, and Slackware</p>

<p>As always, screenshots and downloads are available from the project's homepage:<br />
<a href="http://www.atagar.com/arm/" rel="nofollow">http://www.atagar.com/arm/</a></p>

<p>Cheers! -Damian</p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/network">
          network
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-9835"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-9835" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 04, 2011</p>
    </div>
    <a href="#comment-9835">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-9835" class="permalink" rel="bookmark">I have a problem connecting</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I have a problem connecting tor..I study in a college which is behind a proxy..below is the log...</p>
<p>Apr 05 07:18:56.341 [Notice] Tor v0.2.1.20. This is experimental software. Do not rely on it for strong anonymity. (Running on Very recent version of Windows [major=6,minor=1] Service Pack 1 [workstation] {terminal services, single user})<br />
Apr 05 07:18:56.341 [Notice] Initialized libevent version 1.4.12-stable using method win32. Good.<br />
Apr 05 07:18:56.341 [Notice] Opening Socks listener on 127.0.0.1:9050<br />
Apr 05 07:18:56.341 [Notice] Opening Control listener on 127.0.0.1:9051<br />
Apr 05 07:18:56.341 [Notice] Parsing GEOIP file.<br />
Apr 05 07:19:00.737 [Warning] The https proxy sent back an unexpected status code 403 ("Forbidden"). Closing.<br />
Apr 05 07:20:01.134 [Notice] No current certificate known for authority moria1; launching request.<br />
Apr 05 07:20:01.134 [Notice] No current certificate known for authority tor26; launching request.<br />
Apr 05 07:20:01.134 [Notice] No current certificate known for authority dizum; launching request.<br />
Apr 05 07:20:01.134 [Notice] No current certificate known for authority ides; launching request.<br />
Apr 05 07:20:01.134 [Notice] No current certificate known for authority gabelmoo; launching request.<br />
Apr 05 07:20:01.134 [Notice] No current certificate known for authority dannenberg; launching request.<br />
Apr 05 07:20:01.134 [Notice] No current certificate known for authority urras; launching request.<br />
Apr 05 07:20:01.134 [Warning] The https proxy sent back an unexpected status code 403 ("Forbidden"). Closing.<br />
Apr 05 07:20:01.353 [Warning] The https proxy sent back an unexpected status code 403 ("Forbidden"). Closing.<br />
Apr 05 07:25:06.705 [Notice] No current certificate known for authority moria1; launching request.<br />
Apr 05 07:25:06.705 [Notice] No current certificate known for authority tor26; launching request.<br />
Apr 05 07:25:06.705 [Notice] No current certificate known for authority dizum; launching request.<br />
Apr 05 07:25:06.705 [Notice] No current certificate known for authority ides; launching request.<br />
Apr 05 07:25:06.705 [Notice] No current certificate known for authority gabelmoo; launching request.<br />
Apr 05 07:25:06.705 [Notice] No current certificate known for authority dannenberg; launching request.<br />
Apr 05 07:25:06.705 [Notice] No current certificate known for authority urras; launching request.<br />
Apr 05 07:25:06.720 [Warning] The https proxy sent back an unexpected status code 403 ("Forbidden"). Closing.<br />
Apr 05 07:25:07.032 [Warning] The https proxy sent back an unexpected status code 403 ("Forbidden"). Closing.<br />
Apr 05 07:35:18.711 [Notice] No current certificate known for authority moria1; launching request.<br />
Apr 05 07:35:18.711 [Notice] No current certificate known for authority tor26; launching request.<br />
Apr 05 07:35:18.711 [Notice] No current certificate known for authority dizum; launching request.<br />
Apr 05 07:35:18.711 [Notice] No current certificate known for authority ides; launching request.<br />
Apr 05 07:35:18.711 [Notice] No current certificate known for authority gabelmoo; launching request.<br />
Apr 05 07:35:18.711 [Notice] No current certificate known for authority dannenberg; launching request.<br />
Apr 05 07:35:18.711 [Notice] No current certificate known for authority urras; launching request.<br />
Apr 05 07:35:18.711 [Warning] The https proxy sent back an unexpected status code 403 ("Forbidden"). Closing.<br />
Apr 05 07:35:18.711 [Warning] The https proxy sent back an unexpected status code 403 ("Forbidden"). Closing.<br />
Apr 05 08:05:49.275 [Notice] No current certificate known for authority moria1; launching request.<br />
Apr 05 08:05:49.275 [Notice] No current certificate known for authority tor26; launching request.<br />
Apr 05 08:05:49.275 [Notice] No current certificate known for authority dizum; launching request.<br />
Apr 05 08:05:49.275 [Notice] No current certificate known for authority ides; launching request.<br />
Apr 05 08:05:49.275 [Notice] No current certificate known for authority gabelmoo; launching request.<br />
Apr 05 08:05:49.275 [Notice] No current certificate known for authority dannenberg; launching request.<br />
Apr 05 08:05:49.275 [Notice] No current certificate known for authority urras; launching request.<br />
Apr 05 08:05:49.275 [Warning] The https proxy sent back an unexpected status code 403 ("Forbidden"). Closing.<br />
Apr 05 08:05:49.585 [Warning] The https proxy sent back an unexpected status code 403 ("Forbidden"). Closing.<br />
Apr 05 08:19:03.746 [Warning] The https proxy sent back an unexpected status code 403 ("Forbidden"). Closing.<br />
Apr 05 08:19:03.746 [Warning] The https proxy sent back an unexpected status code 403 ("Forbidden"). Closing.<br />
Apr 05 08:20:04.776 [Warning] The https proxy sent back an unexpected status code 403 ("Forbidden"). Closing.</p>
<p>HELP!!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-9846"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-9846" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 05, 2011</p>
    </div>
    <a href="#comment-9846">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-9846" class="permalink" rel="bookmark">hi.
tor proxy not work in</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>hi.<br />
tor proxy not work in iran</p>
<p>please check</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-9851"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-9851" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 06, 2011</p>
    </div>
    <a href="#comment-9851">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-9851" class="permalink" rel="bookmark">Still not in debian squeeze</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Still not in debian squeeze , its a joke</p>
<p>tim</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-9858"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-9858" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 07, 2011</p>
    </div>
    <a href="#comment-9858">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-9858" class="permalink" rel="bookmark">never put the server on</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>never put the server on Indonesian soil. here's the reason why<br />
below is the Indonesian new intellegence law:<br />
DRAFT </p>
<p>LAW OF THE REPUBLIC OF INDONESIA </p>
<p>NUMBER ... YEAR ... </p>
<p>ABOUT </p>
<p>COUNTRY INTELLIGENCE </p>
<p>BY THE GRACE OF GOD ALMIGHTY </p>
<p>PRESIDENT OF THE REPUBLIC OF INDONESIA </p>
<p>Considering: a. that for the realization of national goals that the state </p>
<p>protect the people of Indonesia and the entire spill </p>
<p>Indonesian blood, promote the general welfare, </p>
<p>intellectual life of the nation, and joined </p>
<p>implement a world order based on </p>
<p>independence, eternal peace, and social justice </p>
<p>as mandated in the Preamble </p>
<p>Constitution of the Republic of Indonesia Year 1945, </p>
<p>important early detection is able to support efforts </p>
<p>counteract all forms of threats, harassment, barriers, </p>
<p>and the challenges that endanger the existence and integrity </p>
<p>Unitary Republic of Indonesia; </p>
<p>      b. that in line with the changes, the development ment situation, and </p>
<p>strategic environmental condition need to do early detection </p>
<p>against various forms and nature of threats both from within </p>
<p>m aupun foreign country that is complex, and </p>
<p>have a very broad spectrum; </p>
<p>    c. that in order to conduct early detection and prevention </p>
<p>pendadakan from various threats, the intelligence necessary </p>
<p>professional country, strengthening cooperation and coordination </p>
<p>state intelligence, as well as to support the rule of law, </p>
<p>democratic values ​​and human rights; </p>
<p>     d. that to provide legal certainty and in accordance </p>
<p>with the legal needs of the community, organizing </p>
<p>intelligence as first-line state of national security </p>
<p>need to be regulated in a more comprehensive; </p>
<p> 1 </p>
<p>     e. that based on the considerations </p>
<p>the letters a, b, c, and d need to form </p>
<p>Law on State Intelligence; </p>
<p>In view of: Article 20, Article 21 and Article 28J of the Constitution </p>
<p>Republic of Indonesia Year 1945; </p>
<p> WITH THE APPROVAL </p>
<p>HOUSE OF REPRESENTATIVES OF THE REPUBLIC OF INDONESIA </p>
<p>and </p>
<p>PRESIDENT OF THE REPUBLIC OF INDONESIA </p>
<p> DECIDED: </p>
<p>To stipulate: LAW ON THE STATE INTELLIGENCE. </p>
<p> CHAPTER I </p>
<p>GENERAL PROVISIONS </p>
<p>Article 1 </p>
<p>In this Act referred to as: </p>
<p>1. Intelligence is knowledge, organizations, and activities associated with </p>
<p>formulation of national policies and strategies based on analysis of </p>
<p>information and facts gathered through intelligence methods work for </p>
<p>detection and early warning in the context of prevention, penangkalan, </p>
<p>and countering any threat to national security. </p>
<p>2. State Intelligence is the government agency that is an integral part </p>
<p>of the national security system which has the authority to </p>
<p>perform the functions and activities of Intelligence. </p>
<p>3. State Intelligence personnel are Indonesian citizens who had iliki </p>
<p>Intelligence special abilities and devote ourselves in the State Intelligence. </p>
<p>4. The threat is any effort, work, both from domestic activities </p>
<p>and outside the country which was considered to endanger the safety, </p>
<p>sovereignty, territorial integrity of the Unitary Republic of Indonesia, and </p>
<p>safety of the nation and national interests. </p>
<p>5. Each person is an individual person or legal entity. </p>
<p> 2 </p>
<p>6. Secret intelligence is information, objects, personnel, and / or effort, </p>
<p>jobs, Intelligence activities protected confidential so as not to </p>
<p>accessible, it is known, and owned by parties who are not eligible. </p>
<p>7. Inform ation Intelligence Retention Period means the period of storage savings information </p>
<p>Intelligence. </p>
<p>8. Intelligence information is information, statements, ideas, and signs </p>
<p>that contains the value, meaning, and message, good data, facts and </p>
<p>explanation related to intelligence. </p>
<p>9. The opposite party is the party from within and outside the country who do </p>
<p>counter-intelligence activities that may harm the interests of stability </p>
<p>national. </p>
<p>10. Target is the target or condition to be achieved from the function </p>
<p>raising. </p>
<p>11. Transnational crime is a crime that the perpetrators are not restricted from </p>
<p>in the country but work in the form of transnational networks </p>
<p>with the same crimes abroad. </p>
<p> Article 2 </p>
<p>The principle of operation of Intelligence include: </p>
<p>a. professional; </p>
<p>b. confidentiality; </p>
<p>c. kompartementasi; </p>
<p>d. coordinative; </p>
<p>e. integrative; </p>
<p>f. neutral; </p>
<p>g. accountability; and </p>
<p>h. objectivity. </p>
<p> Article 3 </p>
<p>The nature of the State Intelligence is the first line of security systems </p>
<p>national. </p>
<p> 3 </p>
<p>CHAPTER II </p>
<p>ROLE, OBJECTIVES, FUNCTIONS, AND SCOPE </p>
<p>Part One </p>
<p>Role </p>
<p>Article 4 </p>
<p>State Intelligence role do the effort, work, activities for the detection </p>
<p>early and develop early warning systems in the framework of prevention, </p>
<p>penangkalan, and prevention of every nature of threats </p>
<p>may arise and to disrupt national stability. </p>
<p>Part Two </p>
<p>Goal </p>
<p>Article 5 </p>
<p>The purpose of the State Intelligence Service is to detect, identify, assess, </p>
<p>analyze, interpret, and present intelligence in order to provide </p>
<p>early warning to anticipate the various possible forms and nature </p>
<p>potential and real threats to the safety and existence of the nation </p>
<p>and state and the opportunities that exist for national prosperity. </p>
<p> Part Three </p>
<p>Function </p>
<p>Article 6 </p>
<p>(1) State Intelligence perform the functions of investigation, security, and </p>
<p>raising. </p>
<p>(2) The investigation referred to in paragraph (1) consists of a series </p>
<p>effort, occupation, and activities undertaken in a planned, directed, </p>
<p>to seek, find, collect, and process information </p>
<p>into intelligence information, as well as serving as an input to </p>
<p>policy formulation and decision making. </p>
<p>(3) Security referred to in paragraph (1) consists of a series </p>
<p>activities undertaken in a planned and directed to prevent </p>
<p> 4 </p>
<p>and / or against the effort, occupation, intelligence activities and / or Party </p>
<p>Opponents are detrimental to the interests and / or national stability. </p>
<p>(4) raising referred to in paragraph (1) consists of </p>
<p>a series of activities undertaken in a planned, directed, and </p>
<p>proceed in order to influence the target for beneficial interests </p>
<p>and / or national stability. </p>
<p> Part Four </p>
<p>Scope </p>
<p>Article 7 </p>
<p>The scope of the National Intelligence include: </p>
<p>a. domestic; </p>
<p>b. overseas; </p>
<p>c. ideology; </p>
<p>d. politics; </p>
<p>e. economics; </p>
<p>f. socio-cultural; </p>
<p>g. defense and / or security; </p>
<p>h. law; </p>
<p>i. natural resources; and </p>
<p>j. information and communication technology. </p>
<p>CHAPTER III </p>
<p>CONDUCT OF INTELLIGENCE STATE </p>
<p>Part One </p>
<p>General </p>
<p>Article 8 </p>
<p>Conducted by the National Intelligence: </p>
<p>a. organizers of the National Intelligence; and </p>
<p>b. nonkementerian government ministries or agencies and / or </p>
<p>local government that performs functions Intelligence. </p>
<p> 5 </p>
<p>Part Two </p>
<p>State Intelligence Operator </p>
<p>Article 9 </p>
<p>(1) Operators of National Intelligence referred to in Article 8 </p>
<p>point a consists of: </p>
<p>a. Indonesian National Military Intelligence; </p>
<p>b. Indonesian National Police Intelligence; and </p>
<p>c. Intelligence Attorney of the Republic of Indonesia. </p>
<p>d. Organizers sebagaim ana State Intelligence referred to in paragraph (1) </p>
<p>obliged to coordinate with the coordination of intelligence agencies </p>
<p>state through the top leaders of each organization. </p>
<p> Paragraph 1 </p>
<p>Indonesian National Military Intelligence </p>
<p>Article 10 </p>
<p>(1) Indonesian National Military Intelligence referred to in Article 9 </p>
<p>paragraph (1) letter a has the functions as the State Intelligence </p>
<p>referred to in Article 6 paragraph (1). </p>
<p>(2) The function referred to in paragraph (1) implemented in the form </p>
<p>effort, job, strategic intelligence activities and coaching ability </p>
<p>Strategic intelligence in support of the main tasks of the Defence Force </p>
<p>Indonesia in accordance with the provisions of the legislation. </p>
<p> Paragraph 2 </p>
<p>Indonesian National Police Intelligence </p>
<p>Article 11 </p>
<p>(1) Indonesian National Police Intelligence referred </p>
<p>in Article 9 paragraph (1) letter b perform the functions of the State Intelligence </p>
<p>referred to in Article 6 paragraph (1). </p>
<p>(2) The function referred to in paragraph (1) implemented in the form </p>
<p>efforts, employment, criminal intelligence activities, and law enforcement in order to </p>
<p>m endukung execution of the tasks of government in order </p>
<p> 6 </p>
<p>m ewujudkan internal security in accordance with the provisions of regulations </p>
<p>legislation. </p>
<p> Paragraph 3 </p>
<p>Intelligence Prosecutor of the Republic of Indonesia </p>
<p>Article 12 </p>
<p>(1) Intelligence Attorney of the Republic of Indonesia as referred to in Article </p>
<p>9 paragraph (1) letter b performs functions as the State Intelligence </p>
<p>referred to in Article 6 paragraph (1). </p>
<p>(2) The function referred to in paragraph (1) implemented in the form </p>
<p>efforts, employment, law enforcement intelligence activities in order </p>
<p>m endukung implementation of prosecutorial authority in the field of prosecution in </p>
<p>spatial arrangement of the power of law enforcement agencies and justice in accordance </p>
<p>with the provisions of the legislation. </p>
<p> Article 13 </p>
<p>Duties, authority, organizational structure and working procedures of the organizers of Intelligence </p>
<p>State referred to in Article 10, Article 11 and Article 12 </p>
<p>implemented in accordance with the provisions of the legislation. </p>
<p> Part Three </p>
<p>Ministry or Government Agency Nonkementerian and / or </p>
<p>Local Government </p>
<p>Article 14 </p>
<p>(1) In addition to organizing the National Intelligence referred to in Article </p>
<p>9 paragraph (1), the ministries or government agencies nonkementerian and / or </p>
<p>perform the functions of local government in the field of Intelligence </p>
<p>investigation in accordance with the provisions of the legislation. </p>
<p>(2) In order m enjalankan Intelligence functions, ministries or agencies </p>
<p>nonkementerian government and / or local government shall </p>
<p>coordinate with state agencies through the coordination of intelligence-led </p>
<p>The highest of each organization. </p>
<p> 7 </p>
<p>CHAPTER IV </p>
<p>STATE INTELLIGENCE PERSONNEL </p>
<p>Part One </p>
<p>General </p>
<p>Article 15 </p>
<p>State Intelligence personnel are Indonesian citizens who meet </p>
<p>requirements specified in legislation and appointed </p>
<p>by authorized officers to devote themselves in the Intelligence service. </p>
<p>Part Two </p>
<p>Rights and Obligations </p>
<p>Article 16 </p>
<p>Each Member State is entitled Intelligence: </p>
<p>a. obtain protection in m elaksanakan tasks, effort, employment, </p>
<p>activities, and functions of intelligence; </p>
<p>b. obtain protection for his family at the time of the Intelligence Personnel </p>
<p>State duty, effort, work, activities and functions of Intelligence; </p>
<p>and </p>
<p>c. get an education, training, and assignments in Intelligence </p>
<p>tiered and sustainable. </p>
<p> Article 17 </p>
<p>Each Member State Intelligence shall: </p>
<p>a. keep all the effort, work, activities, objectives, information, </p>
<p>special facilities, equipment and special tools, support, and / or </p>
<p>personnel associated with the implementation of the functions and activities of the Intelligence </p>
<p>Country; </p>
<p>b. comply with the Code of State Intelligence; </p>
<p>c. take an oath or promise of National Intelligence; and </p>
<p>d. carry out the duties and functions in a professional manner based on the plan </p>
<p>working operations in accordance with the Code and the provisions of the State Intelligence </p>
<p>legislation. </p>
<p> 8 </p>
<p>Part Three </p>
<p>Oath or Promise </p>
<p>Article 18 </p>
<p>(1) Prior to his appointment as the State Intelligence Personnel, each candidate Personnel </p>
<p>National Intelligence shall take an oath or promise of the State Intelligence </p>
<p>in accordance with the religion or belief respectively. </p>
<p>(2) An oath or affirmation referred to in paragraph (1) reads as </p>
<p>follows: </p>
<p>  "By Allah I swear, or I promise: </p>
<p>That I will be loyal to the Republic of Indonesia </p>
<p>based on Pancasila and the Constitution of the Republic </p>
<p>Indonesia Year 1945. </p>
<p>That I will uphold human rights, democracy, and </p>
<p>ation suprem law. </p>
<p>That I will perform the duties and authority in my position </p>
<p>earnest, thorough, objective, honest, courageous, and professional. </p>
<p>That I will uphold the code of ethics in every State Intelligence </p>
<p>place, time, and in a state anyway. </p>
<p>That I never gave up on running all the duties and </p>
<p>liability position. </p>
<p>That I will hold firm all the secrets in the National Intelligence </p>
<p>circumstances anyway. " </p>
<p>Part Four </p>
<p>Honor Code and Council of State Intelligence </p>
<p>Article 19 </p>
<p>(1) State Intelligence Personnel in performing his duties attached to the Code </p>
<p>Conduct National Intelligence. </p>
<p>(2) of the Code of State Intelligence referred to in paragraph (1) prepared </p>
<p>by the state intelligence agency coordination. </p>
<p> Article 20 </p>
<p>(1) oversight of the implementation of the Code by the National Intelligence </p>
<p>Honorary Board of National Intelligence. </p>
<p> 9 </p>
<p>(2) State Intelligence Advisory Board referred to in paragraph (1) </p>
<p>authorized to investigate and prosecute violations of the Code case </p>
<p>State Intelligence conducted by the National Intelligence Personnel. </p>
<p>(3) The provisions concerning the composition and working procedures of the Intelligence Advisory Board </p>
<p>State referred to in paragraph (1) shall be further </p>
<p>intelligence coordination state regulatory agencies. </p>
<p>Part Five </p>
<p>Recruitment and Professional Development </p>
<p> Paragraph 1 </p>
<p>Recruitment </p>
<p>Article 21 </p>
<p>(1) Source of energy derived from the State Intelligence, Headquarters </p>
<p>Armed Forces of Indonesia, Indonesian National Police Headquarters, </p>
<p>Attorney of the Republic of Indonesia, and other State Intelligence. </p>
<p>(2) In an effort to realize that the State Intelligence professionals, recruitment </p>
<p>power as dim aksud in paragraph (1), implemented based on </p>
<p>requirements and the selection is further regulated by rules </p>
<p>head of state intelligence agency coordination. </p>
<p> Paragraph 2 </p>
<p>Professional Development </p>
<p>Article 22 </p>
<p>(1) The development of professional skills is the National Intelligence Personnel </p>
<p>m elalui education, training, and assignments in stages Intelligence </p>
<p>and sustainable. </p>
<p>(2) Developing professional ability as referred to in paragraph </p>
<p>(1) shall be further regulated by rules of intelligence coordination agency head </p>
<p>countries. </p>
<p> 10 </p>
<p>Part Six </p>
<p>Protection of the State Intelligence Personnel </p>
<p> Article 23 </p>
<p>(1) The State shall provide protection against any Intelligence Personnel </p>
<p>State in carrying out its duties and functions of Intelligence. </p>
<p>(2) The protection referred to in paragraph (1) includes protection </p>
<p>personal and family protection. </p>
<p>CHAPTER V </p>
<p>CONFIDENTIALITY INFORM ASI INTELLIGENCE </p>
<p>Article 24 </p>
<p>(1) Inform ation Intelligence confidential. </p>
<p>(2) Inform ation Intelligence referred to in paragraph (1) includes: </p>
<p>a. state intelligence systems; </p>
<p>b. accesses associated with the implementation of its activities; </p>
<p>c. criminal intelligence data relating to the prevention and </p>
<p>handling all forms of transnational crime; </p>
<p>d. plans relating to the prevention and </p>
<p>handling all forms of transnational crime; </p>
<p>e. documents relating to the conduct of the Intelligence Security </p>
<p>National and </p>
<p>f. Intelligence personnel of the state relating to the implementation of Security </p>
<p>National. </p>
<p>Article 25 </p>
<p>(1) is determined by Intelligence Information Privacy Information Retention Period </p>
<p>Intelligence. </p>
<p>(2) Intelligence Information Retention Period referred to in paragraph (1) </p>
<p>valid for 20 (twenty) years. </p>
<p>(3) The period of retention of intelligence information referred to in paragraph (2) can </p>
<p>extended after obtaining approval from the House of Representatives </p>
<p>Republic of Indonesia. </p>
<p> 11 </p>
<p>(4) The period of retention of intelligence information referred to in paragraph (2) can </p>
<p>otherwise expire if intentionally or unintentionally Intelligence information </p>
<p>known to the public. </p>
<p>(5) Intelligence Information Retention Period referred to in paragraph (2) can </p>
<p>declared finished before the retention period ends for the sake of </p>
<p>court and based on a court warrant. </p>
<p> Article 26 </p>
<p>Intelligence information is publicly accessible, namely: </p>
<p>a. Intelligence information other than information that is confidential Intelligence </p>
<p>referred to in Article 24 paragraph (2); </p>
<p>b. Intelligence information that has expired retention period as </p>
<p>referred to in Article 25 paragraph (2); </p>
<p>c. Intelligence information that has been known by the public as </p>
<p>referred to in Article 25 paragraph (4); and </p>
<p>d. Intelligence information that is used for the benefit of the court and </p>
<p>based on a court warrant. </p>
<p> CHAPTER VI </p>
<p>STATE INTELLIGENCE AGENCY COORDINATION </p>
<p>Part One </p>
<p>Position </p>
<p>Article 27 </p>
<p>Intelligence coordination institution under state and responsible </p>
<p>to the President. </p>
<p> 12 </p>
<p>Part Two </p>
<p> Function </p>
<p> Article 28 </p>
<p>(1) coordination of state intelligence agencies perform the functions of the Intelligence </p>
<p>referred to in Article 6 paragraph (1) both within the country </p>
<p>m aupun abroad. </p>
<p>(2) In addition to the functions referred to in paragraph Intelligence </p>
<p>(1), state intelligence coordinating agency performs the function of coordination Intelligence </p>
<p>State. </p>
<p> Part Three </p>
<p>Task </p>
<p>Article 29 </p>
<p>(1) In order to perform the functions referred ana sebagaim Intelligence </p>
<p>in Article 28 paragraph (1), the state agency in charge of intelligence coordination: </p>
<p>a. conduct the assessment and preparation of national policy in the field </p>
<p>Intelligence; </p>
<p>b. Intelligence product delivered as consideration for </p>
<p>determine government policy; </p>
<p>c. planning and intelligence operations; and </p>
<p>d. facilitate and foster intelligence activities in government agencies. </p>
<p>(2) In order to perform the functions referred ana sebagaim Intelligence </p>
<p>in Article 28 paragraph (2), the state agency in charge of intelligence coordination: </p>
<p>a. provide material for consideration based on input from the Intelligence </p>
<p>State to the President in determining policy and strategy </p>
<p>national; </p>
<p>b. coordinate the counter-intelligence activities both domestically and </p>
<p>overseas; </p>
<p>c. coordinate fundraising in both the domestic and overseas </p>
<p>conducted by the National Intelligence; </p>
<p>d. preparing the Code of State Intelligence and form of the Honorary Board </p>
<p>National Intelligence; and </p>
<p> 13 </p>
<p>e. organize training and general administrative services in </p>
<p>the field of general planning, administration, organization and governance, </p>
<p>personnel, finance, filing, legal, coding, equipment, </p>
<p>and households. </p>
<p>Part Four </p>
<p>Authority </p>
<p>Article 30 </p>
<p>(1) To carry out the tasks as dim mentioned in Article 29 paragraph (1) </p>
<p>coordination of state intelligence agencies the authority to: </p>
<p>a. plan and national policies in the field of Intelligence in </p>
<p>comprehensive; </p>
<p>b. Intelligence provides for ministries, government agencies </p>
<p>nonkementerian, or the appropriate agency interests and priorities; and </p>
<p>c. Intelligence cooperation with other countries. </p>
<p>(2) To carry out tasks referred to in Article 29 paragraph (2) </p>
<p>coordination of state intelligence agencies the authority to: </p>
<p>a. coordinate policies on Intelligence; </p>
<p>b. coordinate intelligence functions in their respective Intelligence </p>
<p>Country; and </p>
<p>c. organize and manage the National Intelligence system. </p>
<p> Part Five </p>
<p>Special Powers </p>
<p>Article 31 </p>
<p>(1) In addition to ana sebagaim authority referred to in Article 30 paragraph (1), institutions </p>
<p>intelligence coordination state has a special authority to intercept </p>
<p>communication and checking the flow of funds allegedly to finance </p>
<p>terrorism, separatism, and threats, interference, obstacles, challenges </p>
<p>which threatens the sovereignty of the Unitary Republic of Indonesia. </p>
<p> 14 </p>
<p>(2) interception of communication as referred to in paragraph (1) required </p>
<p>in carrying out intelligence functions. </p>
<p>(3) In examining the flow of funds referred to in paragraph (1), </p>
<p>state intelligence agency to coordinate assistance to Bank m eminta </p>
<p>Indonesia, Center for Financial Transaction Reports and Analysis Center (INTRAC), </p>
<p>non-bank financial institutions, and remittance services institution. </p>
<p>(4) Bank Indonesia, Center for Financial Transaction Reports and Analysis </p>
<p>(INTRAC), non-bank financial institutions, and institutions ngiriman services pe </p>
<p>money referred to in paragraph (3) shall provide information </p>
<p>to the state intelligence agency coordination in accordance with the provisions of </p>
<p>legislation. </p>
<p> Part Six </p>
<p>Organization </p>
<p>Article 32 </p>
<p>(1) Institute of intelligence coordination led by a head of state and </p>
<p>assisted by a deputy chief. </p>
<p>(2) Membership includes state intelligence agency coordination supreme leader </p>
<p>State Intelligence. </p>
<p> Article 33 </p>
<p>The appointment and dismissal of the head and deputy head of the coordinating institution </p>
<p>state intelligence determined by Presidential Decree. </p>
<p> Article 34 </p>
<p>Further provisions concerning the criteria and the appointment of the head and deputy </p>
<p>head, the formation, organizational structure and working procedures of coordination bodies </p>
<p>state intelligence regulated by Presidential Decree. </p>
<p> CHAPTER VII </p>
<p>FUNDING, ACCOUNTABILITY, AND OVERSIGHT </p>
<p>Part One </p>
<p>Financing </p>
<p> 15 </p>
<p>Article 35 </p>
<p>The cost required for the implementation and execution of the State Intelligence </p>
<p>the task of coordinating state intelligence agencies are charged on a Budget </p>
<p>Revenue and Expenditure. </p>
<p> Part Two </p>
<p>Accountability </p>
<p>Article 36 </p>
<p>Reports and responsibilities of the activities presented in writing by the Intelligence </p>
<p>State to the President through the Head of the state intelligence agency coordination. </p>
<p>          Part Three </p>
<p>Supervision </p>
<p>Article 37 </p>
<p>(1) Oversight of policies, activities, and use of intelligence budget </p>
<p>State conducted by the House of Representatives of the Republic of Indonesia. </p>
<p>(2) In order to control for the deepening and completion </p>
<p>m ROBLEM with the policies, activities, and use of intelligence budget </p>
<p>State, the Commission on the Council of Representatives of the Republic of Indonesia </p>
<p>m embidangi problem of National Intelligence to establish the Working Committee </p>
<p>according to need. </p>
<p>(3) Working Committee as referred to in paragraph (2) must maintain </p>
<p>Intelligence Information confidentiality as referred to in Article 24 </p>
<p>This Act. </p>
<p>CHAPTER VIII </p>
<p>CRIMINAL PROVISIONS </p>
<p>Article 38 </p>
<p> 16 </p>
<p>Any person who intentionally leaked intelligence information </p>
<p>confidential information referred to in Article 24 shall be sentenced to </p>
<p>minimum imprisonment of 7 (seven) years and a maximum of 15 (fifteen) years and </p>
<p>fine of at least 50,000,000, 00 (fifty million rupiah) and maximum </p>
<p>Rp500.000.000, 00 (five hundred million rupiah). </p>
<p> Article 39 </p>
<p>Any person who negligently caused the leaking of information </p>
<p>Intelligence that is confidential as defined in Article 24 shall be sentenced </p>
<p>with imprisonment not less than 5 (five) years and a maximum of 10 </p>
<p>(Ten) years and a fine of at least 20,000,000, 00 (twenty million </p>
<p>rupiah) and maximum Rp100.000.000, 00 (one hundred million rupiah). </p>
<p> Article 40 </p>
<p>(1) Each State Intelligence Personnel who m embocorkan entire effort, </p>
<p>work, activities, objectives, information, special facilities, tools and equipment </p>
<p>special equipment, support, and / or personnel with b erkaitan </p>
<p>organization of functions and efforts, employment, activities of State Intelligence </p>
<p>referred to in Article 17 letter a shall be sentenced to </p>
<p>imprisonment of at least 9 (nine) years and a maximum of 20 (twenty) </p>
<p>years and a fine of not less Rp1.000.000.000, 00 (one billion rupiah) and </p>
<p>10,000,000,000 at most, 00 (ten billion rupiahs). </p>
<p>(2) In the case of criminal acts as referred to in paragraph (1) conducted </p>
<p>in a state of war, is liable to a plus 1 / 3 (one third) of </p>
<p>foreign m respectively the maximum sentence. </p>
<p> Article 41 </p>
<p>Each State Intelligence Personnel who perform outside the interception of communication </p>
<p>functions of investigation, security, and raising as intended </p>
<p>in Article 31 shall be punished with imprisonment not less than 7 (seven) years </p>
<p>and maximum of 10 (ten) years and a fine of not less Rp500.000.000, 00 </p>
<p>(Five hundred million rupiah) and a maximum of 10,000,000,000, 00 (ten billion </p>
<p>rupiah). </p>
<p> 17 </p>
<p> CHAPTER IX </p>
<p>TRANSITIONAL PROVISIONS </p>
<p> Article 42 </p>
<p>(1) Upon enactment of this law, no later than 12 (twelve) </p>
<p>month, the state intelligence agency coordination has been formed. </p>
<p>(2) Before the state intelligence agency coordination was established, the National Intelligence </p>
<p>State still can m elaksanakan duties. </p>
<p>Article 43 </p>
<p>At the time the Act comes into force, the provisions concerning: </p>
<p>a. State Intelligence ethics; </p>
<p>b. Honorary Board of the National Intelligence; </p>
<p>c. recruitment of National Intelligence; and </p>
<p>d. State Intelligence capability development </p>
<p>have been established at the latest within 12 (twelve) months from </p>
<p>enactment of this Act. </p>
<p>Article 44 </p>
<p>Regulation of the Government as the implementation of this Act shall have </p>
<p>determined no later than 12 (twelve) months from the enactment of </p>
<p>This Act. </p>
<p> CHAPTER X </p>
<p>FINAL PROVISIONS </p>
<p> Article 45 </p>
<p>At the time the Act comes into force, all laws and regulations </p>
<p>laws relating to the State Intelligence otherwise remain </p>
<p>valid as long as not contrary to the provisions in the Act </p>
<p>this. </p>
<p> Article 46 </p>
<p>This Law shall come into force on the date of promulgation. </p>
<p> 18 </p>
<p>For every person to know, ordered enactment Act </p>
<p>Law by placing it in State Gazette </p>
<p>Indonesia. </p>
<p> Ratified in Jakarta </p>
<p>on December ............. </p>
<p>PRESIDENT OF THE REPUBLIC OF INDONESIA </p>
<p> Signed. </p>
<p>Susilo Bambang Yudhoyono </p>
<p>Promulgated in Jakarta </p>
<p>on date ... ... ... .... </p>
<p>MINISTER OF JUSTICE AND HUMAN RIGHTS </p>
<p>REPUBLIC OF INDONESIA</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-9860"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-9860" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 08, 2011</p>
    </div>
    <a href="#comment-9860">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-9860" class="permalink" rel="bookmark">Tor is working in Iran, but</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Tor is working in Iran, but the speed is very very low!<br />
we need to tor on Firefox 4</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
